/*
* Copyright (C) 2004-2014 Texas Instruments Incorporated - http://www.ti.com/
* All rights reserved.	
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/  
// std headers
#include <xdc/std.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>

#include <math.h>
#include <clk.h>
#include <log.h>
#include  <xdc/std.h>
#include <ti/xdais/xdas.h>
#include <paftyp.h>

// fil headers

#include <ifil.h>
#include <fil_tii.h>
#include <fil_tii_priv.h>
#include <filerr.h>
#include <filextern.h>
#include <filtyp.h>
#include <filters.h>
#include <fil_table.h>
#include <fil_macros.h>

#include "layer1_test_table.h"

testTable gTestArray_df2casc[TEST_DF2CASC] = {
//-----------------------------2Tap-Nch---------------------------------------------------
//type    		 taps    ch    uniCoef   inplace  dPrec    cPrec   cascade	maskSelect

{ 0x208c0081,      2,     1,      1,        0,      1,        1,      2,      0x0001	 }, // 0
{ 0x20880081,      2,     1,      0,        0,      1,        1,      2,      0x0001	 }, 
{ 0x208c00c1,      2,     1,      1,        0,      1,        1,      3,      0x0001	 }, 
{ 0x208800c1,      2,     1,      0,        0,      1,        1,      3,      0x0001	 }, 
{ 0x208c0101,      2,     1,      1,        0,      1,        1,      4,      0x0001	 }, 
{ 0x20880101,      2,     1,      0,        0,      1,        1,      4,      0x0001	 }, 
{ 0x208c0141,      2,     1,      1,        0,      1,        1,      5,      0x0001	 }, 
{ 0x20880141,      2,     1,      0,        0,      1,        1,      5,      0x0001	 }, 

{ 0x208c0181,      2,     1,      1,        0,      1,        1,      6,      0x0001	 }, // 8
{ 0x20880181,      2,     1,      0,        0,      1,        1,      6,      0x0001	 }, 
{ 0x208c01c1,      2,     1,      1,        0,      1,        1,      7,      0x0001	 }, 
{ 0x208801c1,      2,     1,      0,        0,      1,        1,      7,      0x0001	 }, 
{ 0x208c0201,      2,     1,      1,        0,      1,        1,      8,      0x0001	 }, 
{ 0x20880201,      2,     1,      0,        0,      1,        1,      8,      0x0001	 }, 
{ 0x208c0241,      2,     1,      1,        0,      1,        1,      9,      0x0001	 }, 
{ 0x20880241,      2,     1,      0,        0,      1,        1,      9,      0x0001	 }, 

{ 0x208c0281,      2,     1,      1,        0,      1,        1,      10,      0x0001	 }, // 16
{ 0x20880281,      2,     1,      0,        0,      1,        1,      10,      0x0001	 }, 
{ 0x208c02c1,      2,     1,      1,        0,      1,        1,      11,      0x0001	 }, 
{ 0x208802c1,      2,     1,      0,        0,      1,        1,      11,      0x0001	 }, 
{ 0x208c0301,      2,     1,      1,        0,      1,        1,      12,      0x0001	 }, 
{ 0x20880301,      2,     1,      0,        0,      1,        1,      12,      0x0001	 }, 
{ 0x208c0341,      2,     1,      1,        0,      1,        1,      13,      0x0001	 }, 
{ 0x20880341,      2,     1,      0,        0,      1,        1,      13,      0x0001	 }, 

{ 0x208c0381,      2,     1,      1,        0,      1,        1,      14,      0x0001	 }, // 24
{ 0x20880381,      2,     1,      0,        0,      1,        1,      14,      0x0001	 }, 
{ 0x208c03c1,      2,     1,      1,        0,      1,        1,      15,      0x0001	 }, 
{ 0x208803c1,      2,     1,      0,        0,      1,        1,      15,      0x0001	 }, 
{ 0x208c0401,      2,     1,      1,        0,      1,        1,      16,      0x0001	 }, 
{ 0x20880401,      2,     1,      0,        0,      1,        1,      16,      0x0001	 }, 
{ 0x208c0441,      2,     1,      1,        0,      1,        1,      17,      0x0001	 }, 
{ 0x20880441,      2,     1,      0,        0,      1,        1,      17,      0x0001	 }, 

{ 0x208c0082,      2,     2,      1,        0,      1,        1,      2,      0x0003	 }, // 32
{ 0x20880082,      2,     2,      0,        0,      1,        1,      2,      0x0003	 }, 
{ 0x208c00c2,      2,     2,      1,        0,      1,        1,      3,      0x0003	 }, 
{ 0x208800c2,      2,     2,      0,        0,      1,        1,      3,      0x0003	 }, 
{ 0x208c0102,      2,     2,      1,        0,      1,        1,      4,      0x0003	 }, 
{ 0x20880102,      2,     2,      0,        0,      1,        1,      4,      0x0003	 }, 
{ 0x208c0142,      2,     2,      1,        0,      1,        1,      5,      0x0003	 }, 
{ 0x20880142,      2,     2,      0,        0,      1,        1,      5,      0x0003	 }, 

{ 0x208c0182,      2,     2,      1,        0,      1,        1,      6,      0x0003	 }, // 40
{ 0x20880182,      2,     2,      0,        0,      1,        1,      6,      0x0003	 }, 
{ 0x208c01c2,      2,     2,      1,        0,      1,        1,      7,      0x0003	 }, 
{ 0x208801c2,      2,     2,      0,        0,      1,        1,      7,      0x0003	 }, 
{ 0x208c0202,      2,     2,      1,        0,      1,        1,      8,      0x0003	 }, 
{ 0x20880202,      2,     2,      0,        0,      1,        1,      8,      0x0003	 }, 
{ 0x208c0242,      2,     2,      1,        0,      1,        1,      9,      0x0003	 }, 
{ 0x20880242,      2,     2,      0,        0,      1,        1,      9,      0x0003	 }, 

{ 0x208c0282,      2,     2,      1,        0,      1,        1,      10,      0x0003	 }, // 48
{ 0x20880282,      2,     2,      0,        0,      1,        1,      10,      0x0003	 }, 
{ 0x208c02c2,      2,     2,      1,        0,      1,        1,      11,      0x0003	 }, 
{ 0x208802c2,      2,     2,      0,        0,      1,        1,      11,      0x0003	 }, 
{ 0x208c0302,      2,     2,      1,        0,      1,        1,      12,      0x0003	 }, 
{ 0x20880302,      2,     2,      0,        0,      1,        1,      12,      0x0003	 }, 
{ 0x208c0342,      2,     2,      1,        0,      1,        1,      13,      0x0003	 }, 
{ 0x20880342,      2,     2,      0,        0,      1,        1,      13,      0x0003	 }, 

{ 0x208c0382,      2,     2,      1,        0,      1,        1,      14,      0x0003	 }, // 56
{ 0x20880382,      2,     2,      0,        0,      1,        1,      14,      0x0003	 }, 
{ 0x208c03c2,      2,     2,      1,        0,      1,        1,      15,      0x0003	 }, 
{ 0x208803c2,      2,     2,      0,        0,      1,        1,      15,      0x0003	 }, 
{ 0x208c0402,      2,     2,      1,        0,      1,        1,      16,      0x0003	 }, 
{ 0x20880402,      2,     2,      0,        0,      1,        1,      16,      0x0003	 }, 
{ 0x208c0442,      2,     2,      1,        0,      1,        1,      17,      0x0003	 }, 
{ 0x20880442,      2,     2,      0,        0,      1,        1,      17,      0x0003	 }, 

{ 0x208c0083,      2,     3,      1,        0,      1,        1,      2,      0x0007	 }, // 64
{ 0x20880083,      2,     3,      0,        0,      1,        1,      2,      0x0007	 }, 
{ 0x208c00c3,      2,     3,      1,        0,      1,        1,      3,      0x0007	 }, 
{ 0x208800c3,      2,     3,      0,        0,      1,        1,      3,      0x0007	 }, 
{ 0x208c0103,      2,     3,      1,        0,      1,        1,      4,      0x0007	 }, 
{ 0x20880103,      2,     3,      0,        0,      1,        1,      4,      0x0007	 }, 
{ 0x208c0143,      2,     3,      1,        0,      1,        1,      5,      0x0007	 }, 
{ 0x20880143,      2,     3,      0,        0,      1,        1,      5,      0x0007	 }, 

{ 0x208c0183,      2,     3,      1,        0,      1,        1,      6,      0x0007	 }, // 72
{ 0x20880183,      2,     3,      0,        0,      1,        1,      6,      0x0007	 }, 
{ 0x208c01c3,      2,     3,      1,        0,      1,        1,      7,      0x0007	 }, 
{ 0x208801c3,      2,     3,      0,        0,      1,        1,      7,      0x0007	 }, 
{ 0x208c0203,      2,     3,      1,        0,      1,        1,      8,      0x0007	 }, 
{ 0x20880203,      2,     3,      0,        0,      1,        1,      8,      0x0007	 }, 
{ 0x208c0243,      2,     3,      1,        0,      1,        1,      9,      0x0007	 }, 
{ 0x20880243,      2,     3,      0,        0,      1,        1,      9,      0x0007	 }, 

{ 0x208c0283,      2,     3,      1,        0,      1,        1,      10,      0x0007	 }, // 80
{ 0x20880283,      2,     3,      0,        0,      1,        1,      10,      0x0007	 }, 
{ 0x208c02c3,      2,     3,      1,        0,      1,        1,      11,      0x0007	 }, 
{ 0x208802c3,      2,     3,      0,        0,      1,        1,      11,      0x0007	 }, 
{ 0x208c0303,      2,     3,      1,        0,      1,        1,      12,      0x0007	 }, 
{ 0x20880303,      2,     3,      0,        0,      1,        1,      12,      0x0007	 }, 
{ 0x208c0343,      2,     3,      1,        0,      1,        1,      13,      0x0007	 }, 
{ 0x20880343,      2,     3,      0,        0,      1,        1,      13,      0x0007	 }, 

{ 0x208c0383,      2,     3,      1,        0,      1,        1,      14,      0x0007	 }, // 88
{ 0x20880383,      2,     3,      0,        0,      1,        1,      14,      0x0007	 }, 
{ 0x208c03c3,      2,     3,      1,        0,      1,        1,      15,      0x0007	 }, 
{ 0x208803c3,      2,     3,      0,        0,      1,        1,      15,      0x0007	 }, 
{ 0x208c0403,      2,     3,      1,        0,      1,        1,      16,      0x0007	 }, 
{ 0x20880403,      2,     3,      0,        0,      1,        1,      16,      0x0007	 }, 
{ 0x208c0443,      2,     3,      1,        0,      1,        1,      17,      0x0007	 }, 
{ 0x20880443,      2,     3,      0,        0,      1,        1,      17,      0x0007	 }, 

{ 0x208c0084,      2,     4,      1,        0,      1,        1,      2,      0x0107	 }, //96
{ 0x20880084,      2,     4,      0,        0,      1,        1,      2,      0x0107	 }, 
{ 0x208c00c4,      2,     4,      1,        0,      1,        1,      3,      0x0107	 }, 
{ 0x208800c4,      2,     4,      0,        0,      1,        1,      3,      0x0107	 }, 
{ 0x208c0104,      2,     4,      1,        0,      1,        1,      4,      0x0107	 }, 
{ 0x20880104,      2,     4,      0,        0,      1,        1,      4,      0x0107	 }, 
{ 0x208c0144,      2,     4,      1,        0,      1,        1,      5,      0x0107	 }, 
{ 0x20880144,      2,     4,      0,        0,      1,        1,      5,      0x0107	 }, 

{ 0x208c0085,      2,     5,      1,        0,      1,        1,      2,      0x0307	 }, // 104
{ 0x20880085,      2,     5,      0,        0,      1,        1,      2,      0x0307	 }, 
{ 0x208c00c5,      2,     5,      1,        0,      1,        1,      3,      0x0307	 }, 
{ 0x208800c5,      2,     5,      0,        0,      1,        1,      3,      0x0307	 }, 
{ 0x208c0105,      2,     5,      1,        0,      1,        1,      4,      0x0307	 }, 
{ 0x20880105,      2,     5,      0,        0,      1,        1,      4,      0x0307	 }, 
{ 0x208c0145,      2,     5,      1,        0,      1,        1,      5,      0x0307	 }, 
{ 0x20880145,      2,     5,      0,        0,      1,        1,      5,      0x0307	 }, 

{ 0x208c0086,      2,     6,      1,        0,      1,        1,      2,      0x0707	 }, // 112
{ 0x20880086,      2,     6,      0,        0,      1,        1,      2,      0x0707	 }, 
{ 0x208c00c6,      2,     6,      1,        0,      1,        1,      3,      0x0707	 }, 
{ 0x208800c6,      2,     6,      0,        0,      1,        1,      3,      0x0707	 }, 
{ 0x208c0106,      2,     6,      1,        0,      1,        1,      4,      0x0707	 }, 
{ 0x20880106,      2,     6,      0,        0,      1,        1,      4,      0x0707	 }, 
{ 0x208c0146,      2,     6,      1,        0,      1,        1,      5,      0x0707	 }, 
{ 0x20880146,      2,     6,      0,        0,      1,        1,      5,      0x0707	 }, 

{ 0x208c0186,      2,     6,      1,        0,      1,        1,      6,      0x0707	 }, // 120
{ 0x20880186,      2,     6,      0,        0,      1,        1,      6,      0x0707	 }, 
{ 0x208c01c6,      2,     6,      1,        0,      1,        1,      7,      0x0707	 }, 
{ 0x208801c6,      2,     6,      0,        0,      1,        1,      7,      0x0707	 }, 
{ 0x208c0206,      2,     6,      1,        0,      1,        1,      8,      0x0707	 }, 
{ 0x20880206,      2,     6,      0,        0,      1,        1,      8,      0x0707	 }, 
{ 0x208c0246,      2,     6,      1,        0,      1,        1,      9,      0x0707	 }, 
{ 0x20880246,      2,     6,      0,        0,      1,        1,      9,      0x0707	 }, 

{ 0x208c0286,      2,     6,      1,        0,      1,        1,      10,      0x0707	 }, // 128
{ 0x20880286,      2,     6,      0,        0,      1,        1,      10,      0x0707	 }, 
{ 0x208c02c6,      2,     6,      1,        0,      1,        1,      11,      0x0707	 }, 
{ 0x208802c6,      2,     6,      0,        0,      1,        1,      11,      0x0707	 }, 
{ 0x208c0306,      2,     6,      1,        0,      1,        1,      12,      0x0707	 }, 
{ 0x20880306,      2,     6,      0,        0,      1,        1,      12,      0x0707	 }, 
{ 0x208c0346,      2,     6,      1,        0,      1,        1,      13,      0x0707	 }, 
{ 0x20880346,      2,     6,      0,        0,      1,        1,      13,      0x0707	 }, 

{ 0x208c0386,      2,     6,      1,        0,      1,        1,      14,      0x0707	 }, // 136
{ 0x20880386,      2,     6,      0,        0,      1,        1,      14,      0x0707	 }, 
{ 0x208c03c6,      2,     6,      1,        0,      1,        1,      15,      0x0707	 }, 
{ 0x208803c6,      2,     6,      0,        0,      1,        1,      15,      0x0707	 }, 
{ 0x208c0406,      2,     6,      1,        0,      1,        1,      16,      0x0707	 }, 
{ 0x20880406,      2,     6,      0,        0,      1,        1,      16,      0x0707	 }, 
{ 0x208c0446,      2,     6,      1,        0,      1,        1,      17,      0x0707	 }, 
{ 0x20880446,      2,     6,      0,        0,      1,        1,      17,      0x0707	 }, 

{ 0x208c0087,      2,     7,      1,        0,      1,        1,      2,      0x0f07	 }, // 144
{ 0x20880087,      2,     7,      0,        0,      1,        1,      2,      0x0f07	 }, 
{ 0x208c00c7,      2,     7,      1,        0,      1,        1,      3,      0x0f07	 }, 
{ 0x208800c7,      2,     7,      0,        0,      1,        1,      3,      0x0f07	 }, 
{ 0x208c0107,      2,     7,      1,        0,      1,        1,      4,      0x0f07	 }, 
{ 0x20880107,      2,     7,      0,        0,      1,        1,      4,      0x0f07	 }, 
{ 0x208c0147,      2,     7,      1,        0,      1,        1,      5,      0x0f07	 }, 
{ 0x20880147,      2,     7,      0,        0,      1,        1,      5,      0x0f07	 }, 

{ 0x208c0088,      2,     8,      1,        0,      1,        1,      2,      0x1f07	 }, // 152
{ 0x20880088,      2,     8,      0,        0,      1,        1,      2,      0x1f07	 }, 
{ 0x208c00c8,      2,     8,      1,        0,      1,        1,      3,      0x1f07	 }, 
{ 0x208800c8,      2,     8,      0,        0,      1,        1,      3,      0x1f07	 }, 
{ 0x208c0108,      2,     8,      1,        0,      1,        1,      4,      0x1f07	 }, 
{ 0x20880108,      2,     8,      0,        0,      1,        1,      4,      0x1f07	 }, 
{ 0x208c0148,      2,     8,      1,        0,      1,        1,      5,      0x1f07	 }, 
{ 0x20880148,      2,     8,      0,        0,      1,        1,      5,      0x1f07	 } 
#ifdef EXT_CHAN_TEST
,{ 0x208c008a,      2,     10,      1,        0,      1,        1,      2,      0xdf07	 }, // 160
{ 0x2088008a,      2,     10,      0,        0,      1,        1,      2,      0xdf07	 }, 
{ 0x208c00ca,      2,     10,      1,        0,      1,        1,      3,      0xdf07	 }, 
{ 0x208800ca,      2,     10,      0,        0,      1,        1,      3,      0xdf07	 }, 
{ 0x208c010a,      2,     10,      1,        0,      1,        1,      4,      0xdf07	 }, 
{ 0x2088010a,      2,     10,      0,        0,      1,        1,      4,      0xdf07	 }, 
{ 0x208c014a,      2,     10,      1,        0,      1,        1,      5,      0xdf07	 }, 
{ 0x2088014a,      2,     10,      0,        0,      1,        1,      5,      0xdf07	 }, 

{ 0x208c008a,      2,     10,      1,        0,      1,        1,      2,      0x1f37	 }, // 168
{ 0x2088008a,      2,     10,      0,        0,      1,        1,      2,      0x1f37	 }, 
{ 0x208c00ca,      2,     10,      1,        0,      1,        1,      3,      0x1f37	 }, 
{ 0x208800ca,      2,     10,      0,        0,      1,        1,      3,      0x1f37	 }, 
{ 0x208c010a,      2,     10,      1,        0,      1,        1,      4,      0x1f37	 }, 
{ 0x2088010a,      2,     10,      0,        0,      1,        1,      4,      0x1f37	 }, 
{ 0x208c014a,      2,     10,      1,        0,      1,        1,      5,      0x1f37	 }, 
{ 0x2088014a,      2,     10,      0,        0,      1,        1,      5,      0x1f37	 }, 

{ 0x208c008c,      2,     12,      1,        0,      1,        1,      2,      0xdf37	 }, // 176
{ 0x2088008c,      2,     12,      0,        0,      1,        1,      2,      0xdf37	 }, 
{ 0x208c00cc,      2,     12,      1,        0,      1,        1,      3,      0xdf37	 }, 
{ 0x208800cc,      2,     12,      0,        0,      1,        1,      3,      0xdf37	 }, 
{ 0x208c010c,      2,     12,      1,        0,      1,        1,      4,      0xdf37	 }, 
{ 0x2088010c,      2,     12,      0,        0,      1,        1,      4,      0xdf37	 }, 
{ 0x208c014c,      2,     12,      1,        0,      1,        1,      5,      0xdf37	 }, 
{ 0x2088014c,      2,     12,      0,        0,      1,        1,      5,      0xdf37	 } 
#endif
};

testTable gTestArray_fir[TEST_FIR] = {
//-----------------------------2Tap-Nch---------------------------------------------------
//type    		 taps    ch    uniCoef   inplace  dPrec    cPrec   cascade	maskSelect

{ 0x20080241,      18,     1,      0,        0,      1,        1,      0,      0x0001	 }, //0
{ 0x20080242,      18,     2,      0,        0,      1,        1,      0,      0x0003	 }, 
{ 0x20080243,      18,     3,      0,        0,      1,        1,      0,      0x0007	 }, 
{ 0x20080244,      18,     4,      0,        0,      1,        1,      0,      0x0107	 }, 
{ 0x20080245,      18,     5,      0,        0,      1,        1,      0,      0x0307	 }, 
{ 0x20080246,      18,     6,      0,        0,      1,        1,      0,      0x0707	 }, 
{ 0x20080247,      18,     7,      0,        0,      1,        1,      0,      0x0f07	 }, 
{ 0x20080248,      18,     8,      0,        0,      1,        1,      0,      0x1f07	 },

{ 0x20080801,      64,     1,      0,        0,      1,        1,      0,      0x0001	 }, // 8
{ 0x20080802,      64,     2,      0,        0,      1,        1,      0,      0x0003	 }, 
{ 0x20080803,      64,     3,      0,        0,      1,        1,      0,      0x0007	 }, 
{ 0x20080804,      64,     4,      0,        0,      1,        1,      0,      0x0107	 }, 
{ 0x20080805,      64,     5,      0,        0,      1,        1,      0,      0x0307	 }, 
{ 0x20080806,      64,     6,      0,        0,      1,        1,      0,      0x0707	 }, 
{ 0x20080807,      64,     7,      0,        0,      1,        1,      0,      0x0f07	 }, 
{ 0x20080808,      64,     8,      0,        0,      1,        1,      0,      0x1f07	 },

{ 0x200808c1,      70,     1,      0,        0,      1,        1,      0,      0x0001	 }, // 16
{ 0x200808c2,      70,     2,      0,        0,      1,        1,      0,      0x0003	 }, 
{ 0x200808c3,      70,     3,      0,        0,      1,        1,      0,      0x0007	 }, 
{ 0x200808c4,      70,     4,      0,        0,      1,        1,      0,      0x0107	 }, 
{ 0x200808c5,      70,     5,      0,        0,      1,        1,      0,      0x0307	 }, 
{ 0x200808c6,      70,     6,      0,        0,      1,        1,      0,      0x0707	 }, 
{ 0x200808c7,      70,     7,      0,        0,      1,        1,      0,      0x0f07	 }, 
{ 0x200808c8,      70,     8,      0,        0,      1,        1,      0,      0x1f07	 },

{ 0x20080041,      2,     1,      0,        0,      1,        1,      0,      0x0001	 }, // 24
{ 0x20080042,      2,     2,      0,        0,      1,        1,      0,      0x0003	 }, 
{ 0x20080043,      2,     3,      0,        0,      1,        1,      0,      0x0007	 }, 
{ 0x20080044,      2,     4,      0,        0,      1,        1,      0,      0x0107	 }, 
{ 0x20080045,      2,     5,      0,        0,      1,        1,      0,      0x0307	 }, 
{ 0x20080046,      2,     6,      0,        0,      1,        1,      0,      0x0707	 }, 
{ 0x20080047,      2,     7,      0,        0,      1,        1,      0,      0x0f07	 }, 
{ 0x20080048,      2,     8,      0,        0,      1,        1,      0,      0x1f07	 }, 

//type    		 taps    ch    uniCoef   inplace  dPrec    cPrec   cascade	maskSelect

{ 0x20080061,      3,     1,      0,        0,      1,        1,      0,      0x0001	 }, // 32
{ 0x20080062,      3,     2,      0,        0,      1,        1,      0,      0x0003	 }, 
{ 0x20080063,      3,     3,      0,        0,      1,        1,      0,      0x0007	 }, 
{ 0x20080064,      3,     4,      0,        0,      1,        1,      0,      0x0107	 }, 
{ 0x20080065,      3,     5,      0,        0,      1,        1,      0,      0x0307	 }, 
{ 0x20080066,      3,     6,      0,        0,      1,        1,      0,      0x0707	 }, 
{ 0x20080067,      3,     7,      0,        0,      1,        1,      0,      0x0f07	 }, 
{ 0x20080068,      3,     8,      0,        0,      1,        1,      0,      0x1f07	 },

{ 0x20080081,      4,     1,      0,        0,      1,        1,      0,      0x0001	 }, // 40
{ 0x20080082,      4,     2,      0,        0,      1,        1,      0,      0x0003	 }, 
{ 0x20080083,      4,     3,      0,        0,      1,        1,      0,      0x0007	 }, 
{ 0x20080084,      4,     4,      0,        0,      1,        1,      0,      0x0107	 }, 
{ 0x20080085,      4,     5,      0,        0,      1,        1,      0,      0x0307	 }, 
{ 0x20080086,      4,     6,      0,        0,      1,        1,      0,      0x0707	 }, 
{ 0x20080087,      4,     7,      0,        0,      1,        1,      0,      0x0f07	 }, 
{ 0x20080088,      4,     8,      0,        0,      1,        1,      0,      0x1f07	 }, 

{ 0x200800a1,      5,     1,      0,        0,      1,        1,      0,      0x0001	 }, // 48
{ 0x200800a2,      5,     2,      0,        0,      1,        1,      0,      0x0003	 }, 
{ 0x200800a3,      5,     3,      0,        0,      1,        1,      0,      0x0007	 }, 
{ 0x200800a4,      5,     4,      0,        0,      1,        1,      0,      0x0107	 }, 
{ 0x200800a5,      5,     5,      0,        0,      1,        1,      0,      0x0307	 }, 
{ 0x200800a6,      5,     6,      0,        0,      1,        1,      0,      0x0707	 }, 
{ 0x200800a7,      5,     7,      0,        0,      1,        1,      0,      0x0f07	 }, 
{ 0x200800a8,      5,     8,      0,        0,      1,        1,      0,      0x1f07	 }, 

{ 0x200800c1,      6,     1,      0,        0,      1,        1,      0,      0x0001	 }, // 56
{ 0x200800c2,      6,     2,      0,        0,      1,        1,      0,      0x0003	 }, 
{ 0x200800c3,      6,     3,      0,        0,      1,        1,      0,      0x0007	 }, 
{ 0x200800c4,      6,     4,      0,        0,      1,        1,      0,      0x0107	 }, 
{ 0x200800c5,      6,     5,      0,        0,      1,        1,      0,      0x0307	 }, 
{ 0x200800c6,      6,     6,      0,        0,      1,        1,      0,      0x0707	 }, 
{ 0x200800c7,      6,     7,      0,        0,      1,        1,      0,      0x0f07	 }, 
{ 0x200800c8,      6,     8,      0,        0,      1,        1,      0,      0x1f07	 }, 

{ 0x200800e1,      7,     1,      0,        0,      1,        1,      0,      0x0001	 }, // 64
{ 0x200800e2,      7,     2,      0,        0,      1,        1,      0,      0x0003	 }, 
{ 0x200800e3,      7,     3,      0,        0,      1,        1,      0,      0x0007	 }, 
{ 0x200800e4,      7,     4,      0,        0,      1,        1,      0,      0x0107	 }, 
{ 0x200800e5,      7,     5,      0,        0,      1,        1,      0,      0x0307	 }, 
{ 0x200800e6,      7,     6,      0,        0,      1,        1,      0,      0x0707	 }, 
{ 0x200800e7,      7,     7,      0,        0,      1,        1,      0,      0x0f07	 }, 
{ 0x200800e8,      7,     8,      0,        0,      1,        1,      0,      0x1f07	 }, 

{ 0x20080101,      8,     1,      0,        0,      1,        1,      0,      0x0001	 }, // 72
{ 0x20080102,      8,     2,      0,        0,      1,        1,      0,      0x0003	 }, 
{ 0x20080103,      8,     3,      0,        0,      1,        1,      0,      0x0007	 }, 
{ 0x20080104,      8,     4,      0,        0,      1,        1,      0,      0x0107	 }, 
{ 0x20080105,      8,     5,      0,        0,      1,        1,      0,      0x0307	 }, 
{ 0x20080106,      8,     6,      0,        0,      1,        1,      0,      0x0707	 }, 
{ 0x20080107,      8,     7,      0,        0,      1,        1,      0,      0x0f07	 }, 
{ 0x20080108,      8,     8,      0,        0,      1,        1,      0,      0x1f07	 }, 
#ifdef EXT_CHAN_TEST
{ 0x2008024a,      18,     10,      0,        0,      1,        1,      0,      0xdf07	 }, //80
{ 0x2008080a,      64,     10,      0,        0,      1,        1,      0,      0xdf07	 },
{ 0x200808ca,      70,     10,      0,        0,      1,        1,      0,      0xdf07	 },
{ 0x2008004a,      2,     10,      0,        0,      1,        1,      0,      0xdf07	 }, 
{ 0x2008006a,      3,     10,      0,        0,      1,        1,      0,      0xdf07	 },
{ 0x2008008a,      4,     10,      0,        0,      1,        1,      0,      0xdf07	 }, 
{ 0x200800aa,      5,     10,      0,        0,      1,        1,      0,      0xdf07	 }, 
{ 0x200800ca,      6,     10,      0,        0,      1,        1,      0,      0xdf07	 }, 
{ 0x200800ea,      7,     10,      0,        0,      1,        1,      0,      0xdf07	 }, 
{ 0x2008010a,      8,     10,      0,        0,      1,        1,      0,      0xdf07	 }, 

{ 0x2008024a,      18,     10,      0,        0,      1,        1,      0,      0x1f37	 },// 90
{ 0x2008080a,      64,     10,      0,        0,      1,        1,      0,      0x1f37	 },
{ 0x200808ca,      70,     10,      0,        0,      1,        1,      0,      0x1f37	 },
{ 0x2008004a,      2,     10,      0,        0,      1,        1,      0,      0x1f37	 }, 
{ 0x2008006a,      3,     10,      0,        0,      1,        1,      0,      0x1f37	 },
{ 0x2008008a,      4,     10,      0,        0,      1,        1,      0,      0x1f37	 }, 
{ 0x200800aa,      5,     10,      0,        0,      1,        1,      0,      0x1f37	 }, 
{ 0x200800ca,      6,     10,      0,        0,      1,        1,      0,      0x1f37	 }, 
{ 0x200800ea,      7,     10,      0,        0,      1,        1,      0,      0x1f37	 }, 
{ 0x2008010a,      8,     10,      0,        0,      1,        1,      0,      0x1f37	 }, 

{ 0x2008024c,      18,     12,      0,        0,      1,        1,      0,      0xdf37	 }, // 100
{ 0x2008080c,      64,     12,      0,        0,      1,        1,      0,      0xdf37	 },
{ 0x200808cc,      70,     12,      0,        0,      1,        1,      0,      0xdf37	 },
{ 0x2008004c,      2,     12,      0,        0,      1,        1,      0,      0xdf37	 }, 
{ 0x2008006c,      3,     12,      0,        0,      1,        1,      0,      0xdf37	 },
{ 0x2008008c,      4,     12,      0,        0,      1,        1,      0,      0xdf37	 }, 
{ 0x200800ac,      5,     12,      0,        0,      1,        1,      0,      0xdf37	 }, 
{ 0x200800cc,      6,     12,      0,        0,      1,        1,      0,      0xdf37	 }, 
{ 0x200800ec,      7,     12,      0,        0,      1,        1,      0,      0xdf37	 }, 
{ 0x2008010c,      8,     12,      0,        0,      1,        1,      0,      0xdf37	 } 
#endif
};

testTable gTestArray_iir_mx1[TEST_IIR_MX1] = {
//-----------------------------2Tap-Nch---------------------------------------------------
//type    		taps    ch    uniCoef   inplace  dPrec    cPrec   cascade	maskSelect

{ 0x00008041,      2,     1,      0,         0,      1,        0,       0,    0x0001	}, // 0
{ 0x00008042,      2,     2,      0,         0,      1,        0,       0,    0x0003	}, 
{ 0x00008043,      2,     3,      0,         0,      1,        0,       0,    0x0007	}, 
{ 0x00008044,      2,     4,      0,         0,      1,        0,       0,    0x0107	}, 
{ 0x00008045,      2,     5,      0,         0,      1,        0,       0,    0x0307	}, 
{ 0x00008046,      2,     6,      0,         0,      1,        0,       0,    0x0707	}, 
{ 0x00008047,      2,     7,      0,         0,      1,        0,       0,    0x0f07	}, 
{ 0x00008048,      2,     8,      0,         0,      1,        0,       0,    0x1f07	}, 

{ 0x00048041,      2,     1,      1,         0,      1,        0,       0,    0x0001	}, // 8
{ 0x00048042,      2,     2,      1,         0,      1,        0,       0,    0x0003	}, 
{ 0x00048043,      2,     3,      1,         0,      1,        0,       0,    0x0007	}, 
{ 0x00048044,      2,     4,      1,         0,      1,        0,       0,    0x0107	}, 
{ 0x00048045,      2,     5,      1,         0,      1,        0,       0,    0x0307	},
{ 0x00048046,      2,     6,      1,         0,      1,        0,       0,    0x0707	},
{ 0x00048047,      2,     7,      1,         0,      1,        0,       0,    0x0f07	},
{ 0x00048048,      2,     8,      1,         0,      1,        0,       0,    0x1f07	},

{ 0x00008041,      2,     1,      0,         1,      1,        0,       0,    0x0001	},// 16
{ 0x00008042,      2,     2,      0,         1,      1,        0,       0,    0x0003	},
{ 0x00008043,      2,     3,      0,         1,      1,        0,       0,    0x0007	},
{ 0x00008044,      2,     4,      0,         1,      1,        0,       0,    0x0107	},
{ 0x00008045,      2,     5,      0,         1,      1,        0,       0,    0x0307	},
{ 0x00008046,      2,     6,      0,         1,      1,        0,       0,    0x0707	},
{ 0x00008047,      2,     7,      0,         1,      1,        0,       0,    0x0f07	},
{ 0x00008048,      2,     8,      0,         1,      1,        0,       0,    0x1f07	},

{ 0x00008081,      4,     1,      0,         0,      1,        0,       0,    0x0001	}, // 24
{ 0x00008082,      4,     2,      0,         0,      1,        0,       0,    0x0003	}, 
{ 0x00008083,      4,     3,      0,         0,      1,        0,       0,    0x0007	}, 
{ 0x00008084,      4,     4,      0,         0,      1,        0,       0,    0x0107	}, 
{ 0x00008085,      4,     5,      0,         0,      1,        0,       0,    0x0307	}, 
{ 0x00008086,      4,     6,      0,         0,      1,        0,       0,    0x0707	}, 
{ 0x00008087,      4,     7,      0,         0,      1,        0,       0,    0x0f07	}, 
{ 0x00008088,      4,     8,      0,         0,      1,        0,       0,    0x1f07	}, 

{ 0x00048081,      4,     1,      1,         0,      1,        0,       0,    0x0001	}, // 32
{ 0x00048082,      4,     2,      1,         0,      1,        0,       0,    0x0003	}, 
{ 0x00048083,      4,     3,      1,         0,      1,        0,       0,    0x0007	}, 
{ 0x00048084,      4,     4,      1,         0,      1,        0,       0,    0x0107	}, 
{ 0x00048085,      4,     5,      1,         0,      1,        0,       0,    0x0307	},
{ 0x00048086,      4,     6,      1,         0,      1,        0,       0,    0x0707	},
{ 0x00048087,      4,     7,      1,         0,      1,        0,       0,    0x0f07	},
{ 0x00048088,      4,     8,      1,         0,      1,        0,       0,    0x1f07	},

{ 0x00008081,      4,     1,      0,         0,      1,        0,       0,    0x0001	}, // 40
{ 0x00008082,      4,     2,      0,         0,      1,        0,       0,    0x0003	}, 
{ 0x00008083,      4,     3,      0,         0,      1,        0,       0,    0x0007	}, 
{ 0x00008084,      4,     4,      0,         0,      1,        0,       0,    0x0107	}, 
{ 0x00008085,      4,     5,      0,         0,      1,        0,       0,    0x0307	}, 
{ 0x00008086,      4,     6,      0,         0,      1,        0,       0,    0x0707	}, 
{ 0x00008087,      4,     7,      0,         0,      1,        0,       0,    0x0f07	}, 
{ 0x00008088,      4,     8,      0,         0,      1,        0,       0,    0x1f07	}, 

{ 0x00048081,      4,     1,      1,         0,      1,        0,       0,    0x0001	},// 48
{ 0x00048082,      4,     2,      1,         0,      1,        0,       0,    0x0003	},
{ 0x00048083,      4,     3,      1,         0,      1,        0,       0,    0x0007	},
{ 0x00048084,      4,     4,      1,         0,      1,        0,       0,    0x0107	},
{ 0x00048085,      4,     5,      1,         0,      1,        0,       0,    0x0307	},
{ 0x00048086,      4,     6,      1,         0,      1,        0,       0,    0x0707	},
{ 0x00048087,      4,     7,      1,         0,      1,        0,       0,    0x0f07	},
{ 0x00048088,      4,     8,      1,         0,      1,        0,       0,    0x1f07	},

{ 0x80048081,      4,     1,      1,         0,      1,        0,       0,    0x0001	}, // 56
{ 0x80048082,      4,     2,      1,         0,      1,        0,       0,    0x0003	}, 
{ 0x80048083,      4,     3,      1,         0,      1,        0,       0,    0x0007	}, 
{ 0x80048084,      4,     4,      1,         0,      1,        0,       0,    0x0107	}, 
{ 0x80048085,      4,     5,      1,         0,      1,        0,       0,    0x0307	}, 
{ 0x80048086,      4,     6,      1,         0,      1,        0,       0,    0x0707	}, 
{ 0x80048087,      4,     7,      1,         0,      1,        0,       0,    0x0f07	}, 
{ 0x80048088,      4,     8,      1,         0,      1,        0,       0,    0x1f07	}, 

#ifdef EXT_CHAN_TEST
{ 0x0000804a,      2,     10,      0,         0,      1,        0,       0,    0xdf07	}, //64
{ 0x0004804a,      2,     10,      1,         0,      1,        0,       0,    0xdf07	},
{ 0x0000804a,      2,     10,      0,         1,      1,        0,       0,    0xdf07	},
{ 0x0000808a,      4,     10,      0,         0,      1,        0,       0,    0xdf07	}, 
{ 0x0004808a,      4,     10,      1,         0,      1,        0,       0,    0xdf07	},
{ 0x0000808a,      4,     10,      0,         0,      1,        0,       0,    0xdf07	}, 
{ 0x0004808a,      4,     10,      1,         0,      1,        0,       0,    0xdf07	},
{ 0x8004808a,      4,     10,      1,         0,      1,        0,       0,    0xdf07	}, 

{ 0x0000804a,      2,     10,      0,         0,      1,        0,       0,    0x1f37	}, //72
{ 0x0004804a,      2,     10,      1,         0,      1,        0,       0,    0x1f37	},
{ 0x0000804a,      2,     10,      0,         1,      1,        0,       0,    0x1f37	},
{ 0x0000808a,      4,     10,      0,         0,      1,        0,       0,    0x1f37	}, 
{ 0x0004808a,      4,     10,      1,         0,      1,        0,       0,    0x1f37	},
{ 0x0000808a,      4,     10,      0,         0,      1,        0,       0,    0x1f37	}, 
{ 0x0004808a,      4,     10,      1,         0,      1,        0,       0,    0x1f37	},
{ 0x8004808a,      4,     10,      1,         0,      1,        0,       0,    0x1f37	}, 

{ 0x0000804c,      2,     12,      0,         0,      1,        0,       0,    0xdf37	}, //80
{ 0x0004804c,      2,     12,      1,         0,      1,        0,       0,    0xdf37	},
{ 0x0000804c,      2,     12,      0,         1,      1,        0,       0,    0xdf37	},
{ 0x0000808c,      4,     12,      0,         0,      1,        0,       0,    0xdf37	}, 
{ 0x0004808c,      4,     12,      1,         0,      1,        0,       0,    0xdf37	},
{ 0x0000808c,      4,     12,      0,         0,      1,        0,       0,    0xdf37	}, 
{ 0x0004808c,      4,     12,      1,         0,      1,        0,       0,    0xdf37	},
{ 0x8004808c,      4,     12,      1,         0,      1,        0,       0,    0xdf37	}, 
#endif
};

testTable gTestArray_iir_mx1_df1[TEST_MX1_DF1] = {
//-----------------------------2Tap-Nch---------------------------------------------------
//type    		taps    ch    uniCoef   inplace  dPrec    cPrec   cascade	maskSelect

{ 0x00108041,      2,     1,      0,         0,      1,        0,       0,    0x0001	}, // 0
{ 0x00108042,      2,     2,      0,         0,      1,        0,       0,    0x0003	}, 
{ 0x00108043,      2,     3,      0,         0,      1,        0,       0,    0x0007	}, 
{ 0x00108044,      2,     4,      0,         0,      1,        0,       0,    0x0107	}, 
{ 0x00108045,      2,     5,      0,         0,      1,        0,       0,    0x0307	}, 
{ 0x00108046,      2,     6,      0,         0,      1,        0,       0,    0x0707	}, 
{ 0x00108047,      2,     7,      0,         0,      1,        0,       0,    0x0f07	}, 
{ 0x00108048,      2,     8,      0,         0,      1,        0,       0,    0x1f07	}
#ifdef EXT_CHAN_TEST
,{ 0x0010804a,      2,     10,      0,         0,      1,        0,       0,    0xdf07	},
{ 0x0010804a,      2,     10,      0,         0,      1,        0,       0,    0x1f37	},
{ 0x0010804c,      2,     12,      0,         0,      1,        0,       0,    0xdf37	}
#endif
};


testTable gTestArray_iir[TEST_IIR] = {
//-----------------------------2Tap-Nch---------------------------------------------------
//type    		taps    ch    uniCoef   inplace  dPrec    cPrec   cascade	maskSelect
{ 0x20000021,      1,     1,      0,         0,      1,        0,       0,    0x0001	}, // 0
{ 0x20000022,      1,     2,      0,         0,      1,        0,       0,    0x0003	}, 
{ 0x20000023,      1,     3,      0,         0,      1,        0,       0,    0x0007	}, 
{ 0x20000024,      1,     4,      0,         0,      1,        0,       0,    0x0107	}, 
{ 0x20000025,      1,     5,      0,         0,      1,        0,       0,    0x0307	}, 
{ 0x20000026,      1,     6,      0,         0,      1,        0,       0,    0x0707	}, 
{ 0x20000027,      1,     7,      0,         0,      1,        0,       0,    0x0f07	}, 
{ 0x20000028,      1,     8,      0,         0,      1,        0,       0,    0x1f07	},

{ 0x20000041,      2,     1,      0,         0,      1,        0,       0,    0x0001	}, // 8
{ 0x20000042,      2,     2,      0,         0,      1,        0,       0,    0x0003	}, 
{ 0x20000043,      2,     3,      0,         0,      1,        0,       0,    0x0007	}, 
{ 0x20000044,      2,     4,      0,         0,      1,        0,       0,    0x0107	}, 
{ 0x20000045,      2,     5,      0,         0,      1,        0,       0,    0x0307	}, 
{ 0x20000046,      2,     6,      0,         0,      1,        0,       0,    0x0707	}, 
{ 0x20000047,      2,     7,      0,         0,      1,        0,       0,    0x0f07	}, 
{ 0x20000048,      2,     8,      0,         0,      1,        0,       0,    0x1f07	},

{ 0x20000061,      3,     1,      0,         0,      1,        0,       0,    0x0001	}, // 16
{ 0x20000062,      3,     2,      0,         0,      1,        0,       0,    0x0003	}, 
{ 0x20000063,      3,     3,      0,         0,      1,        0,       0,    0x0007	}, 
{ 0x20000064,      3,     4,      0,         0,      1,        0,       0,    0x0107	}, 
{ 0x20000065,      3,     5,      0,         0,      1,        0,       0,    0x0307	}, 
{ 0x20000066,      3,     6,      0,         0,      1,        0,       0,    0x0707	}, 
{ 0x20000067,      3,     7,      0,         0,      1,        0,       0,    0x0f07	}, 
{ 0x20000068,      3,     8,      0,         0,      1,        0,       0,    0x1f07	},

{ 0x20000081,      4,     1,      0,         0,      1,        0,       0,    0x0001	}, // 24
{ 0x20000082,      4,     2,      0,         0,      1,        0,       0,    0x0003	}, 
{ 0x20000083,      4,     3,      0,         0,      1,        0,       0,    0x0007	}, 
{ 0x20000084,      4,     4,      0,         0,      1,        0,       0,    0x0107	}, 
{ 0x20000085,      4,     5,      0,         0,      1,        0,       0,    0x0307	}, 
{ 0x20000086,      4,     6,      0,         0,      1,        0,       0,    0x0707	}, 
{ 0x20000087,      4,     7,      0,         0,      1,        0,       0,    0x0f07	}, 
{ 0x20000088,      4,     8,      0,         0,      1,        0,       0,    0x1f07	}
#ifdef EXT_CHAN_TEST
,{ 0x2000002a,      1,     10,      0,         0,      1,        0,       0,    0xdf07	}, //32
{ 0x2000004a,      2,     10,      0,         0,      1,        0,       0,    0xdf07	},
{ 0x2000006a,      3,     10,      0,         0,      1,        0,       0,    0xdf07	},
{ 0x2000008a,      4,     10,      0,         0,      1,        0,       0,    0xdf07	},

{ 0x2000002a,      1,     10,      0,         0,      1,        0,       0,    0x1f37	}, // 36
{ 0x2000004a,      2,     10,      0,         0,      1,        0,       0,    0x1f37	},
{ 0x2000006a,      3,     10,      0,         0,      1,        0,       0,    0x1f37	},
{ 0x2000008a,      4,     10,      0,         0,      1,        0,       0,    0x1f37	},

{ 0x2000002c,      1,     12,      0,         0,      1,        0,       0,    0xdf37	}, //40
{ 0x2000004c,      2,     12,      0,         0,      1,        0,       0,    0xdf37	},
{ 0x2000006c,      3,     12,      0,         0,      1,        0,       0,    0xdf37	},
{ 0x2000008c,      4,     12,      0,         0,      1,        0,       0,    0xdf37	}
#endif
};


testTable gTestArray_iirdf2t[TEST_IIR_DF2T] = {
//-----------------------------2Tap-Nch---------------------------------------------------
//type    		taps    ch    uniCoef   inplace  dPrec    cPrec   cascade	maskSelect
{ 0x20180041,      2,     1,      0,         0,      1,        0,       0,    0x0001	}, // 0
{ 0x20180042,      2,     2,      0,         0,      1,        0,       0,    0x0003	}, 
{ 0x20180043,      2,     3,      0,         0,      1,        0,       0,    0x0007	}, 
{ 0x20180044,      2,     4,      0,         0,      1,        0,       0,    0x0107	}, 
{ 0x20180045,      2,     5,      0,         0,      1,        0,       0,    0x0307	}, 
{ 0x20180046,      2,     6,      0,         0,      1,        0,       0,    0x0707	}, 
{ 0x20180047,      2,     7,      0,         0,      1,        0,       0,    0x0f07	}, 
{ 0x20180048,      2,     8,      0,         0,      1,        0,       0,    0x1f07	},

{ 0x201c0041,      2,     1,      1,         0,      1,        0,       0,    0x0001	}, // 8
{ 0x201c0042,      2,     2,      1,         0,      1,        0,       0,    0x0003	}, 
{ 0x201c0043,      2,     3,      1,         0,      1,        0,       0,    0x0007	}, 
{ 0x201c0044,      2,     4,      1,         0,      1,        0,       0,    0x0107	}, 
{ 0x201c0045,      2,     5,      1,         0,      1,        0,       0,    0x0307	}, 
{ 0x201c0046,      2,     6,      1,         0,      1,        0,       0,    0x0707	}, 
{ 0x201c0047,      2,     7,      1,         0,      1,        0,       0,    0x0f07	}, 
{ 0x201c0048,      2,     8,      1,         0,      1,        0,       0,    0x1f07	}
#ifdef EXT_CHAN_TEST
,{ 0x2018004a,      2,     10,      0,         0,      1,        0,       0,    0xdf07	}, // 16
{ 0x201c004a,      2,     10,      1,         0,      1,        0,       0,    0xdf07	},
{ 0x2018004a,      2,     10,      0,         0,      1,        0,       0,    0x1f37	},
{ 0x201c004a,      2,     10,      1,         0,      1,        0,       0,    0x1f37	},
{ 0x2018004c,      2,     12,      0,         0,      1,        0,       0,    0xdf37	},
{ 0x201c004c,      2,     12,      1,         0,      1,        0,       0,    0xdf37	}
#endif
}; 


testTable gTestArray_df2tcasc[TEST_DF2CASC] = {
//-----------------------------2Tap-Nch---------------------------------------------------
//type    		 taps    ch    uniCoef   inplace  dPrec    cPrec   cascade	maskSelect

{ 0x20940081,      2,     1,      1,        0,      1,        1,      2,      0x0001	 }, // 0
{ 0x20900081,      2,     1,      0,        0,      1,        1,      2,      0x0001	 }, 
{ 0x209400c1,      2,     1,      1,        0,      1,        1,      3,      0x0001	 }, 
{ 0x209000c1,      2,     1,      0,        0,      1,        1,      3,      0x0001	 }, 
{ 0x20940101,      2,     1,      1,        0,      1,        1,      4,      0x0001	 }, 
{ 0x20900101,      2,     1,      0,        0,      1,        1,      4,      0x0001	 }, 
{ 0x20940141,      2,     1,      1,        0,      1,        1,      5,      0x0001	 }, 
{ 0x20900141,      2,     1,      0,        0,      1,        1,      5,      0x0001	 }, 

{ 0x20940181,      2,     1,      1,        0,      1,        1,      6,      0x0001	 }, // 8
{ 0x20900181,      2,     1,      0,        0,      1,        1,      6,      0x0001	 }, 
{ 0x209401c1,      2,     1,      1,        0,      1,        1,      7,      0x0001	 }, 
{ 0x209001c1,      2,     1,      0,        0,      1,        1,      7,      0x0001	 }, 
{ 0x20940201,      2,     1,      1,        0,      1,        1,      8,      0x0001	 }, 
{ 0x20900201,      2,     1,      0,        0,      1,        1,      8,      0x0001	 }, 
{ 0x20940241,      2,     1,      1,        0,      1,        1,      9,      0x0001	 }, 
{ 0x20900241,      2,     1,      0,        0,      1,        1,      9,      0x0001	 }, 

{ 0x20940281,      2,     1,      1,        0,      1,        1,      10,      0x0001	 }, // 16
{ 0x20900281,      2,     1,      0,        0,      1,        1,      10,      0x0001	 }, 
{ 0x209402c1,      2,     1,      1,        0,      1,        1,      11,      0x0001	 }, 
{ 0x209002c1,      2,     1,      0,        0,      1,        1,      11,      0x0001	 }, 
{ 0x20940301,      2,     1,      1,        0,      1,        1,      12,      0x0001	 }, 
{ 0x20900301,      2,     1,      0,        0,      1,        1,      12,      0x0001	 }, 
{ 0x20940341,      2,     1,      1,        0,      1,        1,      13,      0x0001	 }, 
{ 0x20900341,      2,     1,      0,        0,      1,        1,      13,      0x0001	 }, 

{ 0x20940381,      2,     1,      1,        0,      1,        1,      14,      0x0001	 }, // 24
{ 0x20900381,      2,     1,      0,        0,      1,        1,      14,      0x0001	 }, 
{ 0x209403c1,      2,     1,      1,        0,      1,        1,      15,      0x0001	 }, 
{ 0x209003c1,      2,     1,      0,        0,      1,        1,      15,      0x0001	 }, 
{ 0x20940401,      2,     1,      1,        0,      1,        1,      16,      0x0001	 }, 
{ 0x20900401,      2,     1,      0,        0,      1,        1,      16,      0x0001	 }, 
{ 0x20940441,      2,     1,      1,        0,      1,        1,      17,      0x0001	 }, 
{ 0x20900441,      2,     1,      0,        0,      1,        1,      17,      0x0001	 }, 

{ 0x20940082,      2,     2,      1,        0,      1,        1,      2,      0x0003	 }, // 32
{ 0x20900082,      2,     2,      0,        0,      1,        1,      2,      0x0003	 }, 
{ 0x209400c2,      2,     2,      1,        0,      1,        1,      3,      0x0003	 }, 
{ 0x209000c2,      2,     2,      0,        0,      1,        1,      3,      0x0003	 }, 
{ 0x20940102,      2,     2,      1,        0,      1,        1,      4,      0x0003	 }, 
{ 0x20900102,      2,     2,      0,        0,      1,        1,      4,      0x0003	 }, 
{ 0x20940142,      2,     2,      1,        0,      1,        1,      5,      0x0003	 }, 
{ 0x20900142,      2,     2,      0,        0,      1,        1,      5,      0x0003	 },
 
{ 0x20940182,      2,     2,      1,        0,      1,        1,      6,      0x0003	 }, // 40
{ 0x20900182,      2,     2,      0,        0,      1,        1,      6,      0x0003	 }, 
{ 0x209401c2,      2,     2,      1,        0,      1,        1,      7,      0x0003	 }, 
{ 0x209001c2,      2,     2,      0,        0,      1,        1,      7,      0x0003	 }, 
{ 0x20940202,      2,     2,      1,        0,      1,        1,      8,      0x0003	 }, 
{ 0x20900202,      2,     2,      0,        0,      1,        1,      8,      0x0003	 }, 
{ 0x20940242,      2,     2,      1,        0,      1,        1,      9,      0x0003	 }, 
{ 0x20900242,      2,     2,      0,        0,      1,        1,      9,      0x0003	 },

{ 0x20940282,      2,     2,      1,        0,      1,        1,      10,      0x0003	 }, // 48
{ 0x20900282,      2,     2,      0,        0,      1,        1,      10,      0x0003	 }, 
{ 0x209402c2,      2,     2,      1,        0,      1,        1,      11,      0x0003	 }, 
{ 0x209002c2,      2,     2,      0,        0,      1,        1,      11,      0x0003	 }, 
{ 0x20940302,      2,     2,      1,        0,      1,        1,      12,      0x0003	 }, 
{ 0x20900302,      2,     2,      0,        0,      1,        1,      12,      0x0003	 }, 
{ 0x20940342,      2,     2,      1,        0,      1,        1,      13,      0x0003	 }, 
{ 0x20900342,      2,     2,      0,        0,      1,        1,      13,      0x0003	 }, 

{ 0x20940382,      2,     2,      1,        0,      1,        1,      14,      0x0003	 }, // 56
{ 0x20900382,      2,     2,      0,        0,      1,        1,      14,      0x0003	 }, 
{ 0x209403c2,      2,     2,      1,        0,      1,        1,      15,      0x0003	 }, 
{ 0x209003c2,      2,     2,      0,        0,      1,        1,      15,      0x0003	 }, 
{ 0x20940402,      2,     2,      1,        0,      1,        1,      16,      0x0003	 }, 
{ 0x20900402,      2,     2,      0,        0,      1,        1,      16,      0x0003	 }, 
{ 0x20940442,      2,     2,      1,        0,      1,        1,      17,      0x0003	 }, 
{ 0x20900442,      2,     2,      0,        0,      1,        1,      17,      0x0003	 }, 

{ 0x20940083,      2,     3,      1,        0,      1,        1,      2,      0x0007	 }, // 64
{ 0x20900083,      2,     3,      0,        0,      1,        1,      2,      0x0007	 }, 
{ 0x209400c3,      2,     3,      1,        0,      1,        1,      3,      0x0007	 }, 
{ 0x209000c3,      2,     3,      0,        0,      1,        1,      3,      0x0007	 }, 
{ 0x20940103,      2,     3,      1,        0,      1,        1,      4,      0x0007	 }, 
{ 0x20900103,      2,     3,      0,        0,      1,        1,      4,      0x0007	 }, 
{ 0x20940143,      2,     3,      1,        0,      1,        1,      5,      0x0007	 }, 
{ 0x20900143,      2,     3,      0,        0,      1,        1,      5,      0x0007	 }, 

{ 0x20940183,      2,     3,      1,        0,      1,        1,      6,      0x0007	 }, // 72
{ 0x20900183,      2,     3,      0,        0,      1,        1,      6,      0x0007	 }, 
{ 0x209401c3,      2,     3,      1,        0,      1,        1,      7,      0x0007	 }, 
{ 0x209001c3,      2,     3,      0,        0,      1,        1,      7,      0x0007	 }, 
{ 0x20940203,      2,     3,      1,        0,      1,        1,      8,      0x0007	 }, 
{ 0x20900203,      2,     3,      0,        0,      1,        1,      8,      0x0007	 }, 
{ 0x20940243,      2,     3,      1,        0,      1,        1,      9,      0x0007	 }, 
{ 0x20900243,      2,     3,      0,        0,      1,        1,      9,      0x0007	 }, 

{ 0x20940283,      2,     3,      1,        0,      1,        1,      10,      0x0007	 }, // 80
{ 0x20900283,      2,     3,      0,        0,      1,        1,      10,      0x0007	 }, 
{ 0x209402c3,      2,     3,      1,        0,      1,        1,      11,      0x0007	 }, 
{ 0x209002c3,      2,     3,      0,        0,      1,        1,      11,      0x0007	 }, 
{ 0x20940303,      2,     3,      1,        0,      1,        1,      12,      0x0007	 }, 
{ 0x20900303,      2,     3,      0,        0,      1,        1,      12,      0x0007	 }, 
{ 0x20940343,      2,     3,      1,        0,      1,        1,      13,      0x0007	 }, 
{ 0x20900343,      2,     3,      0,        0,      1,        1,      13,      0x0007	 }, 

{ 0x20940383,      2,     3,      1,        0,      1,        1,      14,      0x0007	 }, // 88
{ 0x20900383,      2,     3,      0,        0,      1,        1,      14,      0x0007	 }, 
{ 0x209403c3,      2,     3,      1,        0,      1,        1,      15,      0x0007	 }, 
{ 0x209003c3,      2,     3,      0,        0,      1,        1,      15,      0x0007	 }, 
{ 0x20940403,      2,     3,      1,        0,      1,        1,      16,      0x0007	 }, 
{ 0x20900403,      2,     3,      0,        0,      1,        1,      16,      0x0007	 }, 
{ 0x20940443,      2,     3,      1,        0,      1,        1,      17,      0x0007	 }, 
{ 0x20900443,      2,     3,      0,        0,      1,        1,      17,      0x0007	 }, 

{ 0x20940084,      2,     4,      1,        0,      1,        1,      2,      0x0107	 }, // 96
{ 0x20900084,      2,     4,      0,        0,      1,        1,      2,      0x0107	 }, 
{ 0x209400c4,      2,     4,      1,        0,      1,        1,      3,      0x0107	 }, 
{ 0x209000c4,      2,     4,      0,        0,      1,        1,      3,      0x0107	 }, 
{ 0x20940104,      2,     4,      1,        0,      1,        1,      4,      0x0107	 }, 
{ 0x20900104,      2,     4,      0,        0,      1,        1,      4,      0x0107	 }, 
{ 0x20940144,      2,     4,      1,        0,      1,        1,      5,      0x0107	 }, 
{ 0x20900144,      2,     4,      0,        0,      1,        1,      5,      0x0107	 }, 

{ 0x20940085,      2,     5,      1,        0,      1,        1,      2,      0x0307	 }, // 104
{ 0x20900085,      2,     5,      0,        0,      1,        1,      2,      0x0307	 }, 
{ 0x209400c5,      2,     5,      1,        0,      1,        1,      3,      0x0307	 }, 
{ 0x209000c5,      2,     5,      0,        0,      1,        1,      3,      0x0307	 }, 
{ 0x20940105,      2,     5,      1,        0,      1,        1,      4,      0x0307	 }, 
{ 0x20900105,      2,     5,      0,        0,      1,        1,      4,      0x0307	 }, 
{ 0x20940145,      2,     5,      1,        0,      1,        1,      5,      0x0307	 }, 
{ 0x20900145,      2,     5,      0,        0,      1,        1,      5,      0x0307	 }, 

{ 0x20940086,      2,     6,      1,        0,      1,        1,      2,      0x0707	 }, // 112
{ 0x20900086,      2,     6,      0,        0,      1,        1,      2,      0x0707	 }, 
{ 0x209400c6,      2,     6,      1,        0,      1,        1,      3,      0x0707	 }, 
{ 0x209000c6,      2,     6,      0,        0,      1,        1,      3,      0x0707	 }, 
{ 0x20940106,      2,     6,      1,        0,      1,        1,      4,      0x0707	 }, 
{ 0x20900106,      2,     6,      0,        0,      1,        1,      4,      0x0707	 }, 
{ 0x20940146,      2,     6,      1,        0,      1,        1,      5,      0x0707	 }, 
{ 0x20900146,      2,     6,      0,        0,      1,        1,      5,      0x0707	 }, 

{ 0x20940186,      2,     6,      1,        0,      1,        1,      6,      0x0707	 }, // 120
{ 0x20900186,      2,     6,      0,        0,      1,        1,      6,      0x0707	 }, 
{ 0x209401c6,      2,     6,      1,        0,      1,        1,      7,      0x0707	 }, 
{ 0x209001c6,      2,     6,      0,        0,      1,        1,      7,      0x0707	 }, 
{ 0x20940206,      2,     6,      1,        0,      1,        1,      8,      0x0707	 }, 
{ 0x20900206,      2,     6,      0,        0,      1,        1,      8,      0x0707	 }, 
{ 0x20940246,      2,     6,      1,        0,      1,        1,      9,      0x0707	 }, 
{ 0x20900246,      2,     6,      0,        0,      1,        1,      9,      0x0707	 }, 

{ 0x20940286,      2,     6,      1,        0,      1,        1,      10,      0x0707	 }, // 128
{ 0x20900286,      2,     6,      0,        0,      1,        1,      10,      0x0707	 }, 
{ 0x209402c6,      2,     6,      1,        0,      1,        1,      11,      0x0707	 }, 
{ 0x209002c6,      2,     6,      0,        0,      1,        1,      11,      0x0707	 }, 
{ 0x20940306,      2,     6,      1,        0,      1,        1,      12,      0x0707	 }, 
{ 0x20900306,      2,     6,      0,        0,      1,        1,      12,      0x0707	 }, 
{ 0x20940346,      2,     6,      1,        0,      1,        1,      13,      0x0707	 }, 
{ 0x20900346,      2,     6,      0,        0,      1,        1,      13,      0x0707	 }, 

{ 0x20940386,      2,     6,      1,        0,      1,        1,      14,      0x0707	 }, // 136
{ 0x20900386,      2,     6,      0,        0,      1,        1,      14,      0x0707	 }, 
{ 0x209403c6,      2,     6,      1,        0,      1,        1,      15,      0x0707	 }, 
{ 0x209003c6,      2,     6,      0,        0,      1,        1,      15,      0x0707	 }, 
{ 0x20940406,      2,     6,      1,        0,      1,        1,      16,      0x0707	 }, 
{ 0x20900406,      2,     6,      0,        0,      1,        1,      16,      0x0707	 }, 
{ 0x20940446,      2,     6,      1,        0,      1,        1,      17,      0x0707	 }, 
{ 0x20900446,      2,     6,      0,        0,      1,        1,      17,      0x0707	 }, 

{ 0x20940087,      2,     7,      1,        0,      1,        1,      2,      0x0f07	 }, // 144
{ 0x20900087,      2,     7,      0,        0,      1,        1,      2,      0x0f07	 }, 
{ 0x209400c7,      2,     7,      1,        0,      1,        1,      3,      0x0f07	 }, 
{ 0x209000c7,      2,     7,      0,        0,      1,        1,      3,      0x0f07	 }, 
{ 0x20940107,      2,     7,      1,        0,      1,        1,      4,      0x0f07	 }, 
{ 0x20900107,      2,     7,      0,        0,      1,        1,      4,      0x0f07	 }, 
{ 0x20940147,      2,     7,      1,        0,      1,        1,      5,      0x0f07	 }, 
{ 0x20900147,      2,     7,      0,        0,      1,        1,      5,      0x0f07	 }, 

{ 0x20940088,      2,     8,      1,        0,      1,        1,      2,      0x1f07	 }, // 152
{ 0x20900088,      2,     8,      0,        0,      1,        1,      2,      0x1f07	 }, 
{ 0x209400c8,      2,     8,      1,        0,      1,        1,      3,      0x1f07	 }, 
{ 0x209000c8,      2,     8,      0,        0,      1,        1,      3,      0x1f07	 }, 
{ 0x20940108,      2,     8,      1,        0,      1,        1,      4,      0x1f07	 }, 
{ 0x20900108,      2,     8,      0,        0,      1,        1,      4,      0x1f07	 }, 
{ 0x20940148,      2,     8,      1,        0,      1,        1,      5,      0x1f07	 }, 
{ 0x20900148,      2,     8,      0,        0,      1,        1,      5,      0x1f07	 } 

#ifdef EXT_CHAN_TEST
,{ 0x2094008a,      2,     10,      1,        0,      1,        1,      2,      0xdf07	 }, // 160
{ 0x2090008a,      2,     10,      0,        0,      1,        1,      2,      0xdf07	 }, 
{ 0x209400ca,      2,     10,      1,        0,      1,        1,      3,      0xdf07	 }, 
{ 0x209000ca,      2,     10,      0,        0,      1,        1,      3,      0xdf07	 }, 
{ 0x2094010a,      2,     10,      1,        0,      1,        1,      4,      0xdf07	 }, 
{ 0x2090010a,      2,     10,      0,        0,      1,        1,      4,      0xdf07	 }, 
{ 0x2094014a,      2,     10,      1,        0,      1,        1,      5,      0xdf07	 }, 
{ 0x2090014a,      2,     10,      0,        0,      1,        1,      5,      0xdf07	 }, 

{ 0x2094008a,      2,     10,      1,        0,      1,        1,      2,      0x1f37	 }, // 168
{ 0x2090008a,      2,     10,      0,        0,      1,        1,      2,      0x1f37	 }, 
{ 0x209400ca,      2,     10,      1,        0,      1,        1,      3,      0x1f37	 }, 
{ 0x209000ca,      2,     10,      0,        0,      1,        1,      3,      0x1f37	 }, 
{ 0x2094010a,      2,     10,      1,        0,      1,        1,      4,      0x1f37	 }, 
{ 0x2090010a,      2,     10,      0,        0,      1,        1,      4,      0x1f37	 }, 
{ 0x2094014a,      2,     10,      1,        0,      1,        1,      5,      0x1f37	 }, 
{ 0x2090014a,      2,     10,      0,        0,      1,        1,      5,      0x1f37	 }, 

{ 0x2094008c,      2,     12,      1,        0,      1,        1,      2,      0xdf37	 }, // 176
{ 0x2090008c,      2,     12,      0,        0,      1,        1,      2,      0xdf37	 }, 
{ 0x209400cc,      2,     12,      1,        0,      1,        1,      3,      0xdf37	 }, 
{ 0x209000cc,      2,     12,      0,        0,      1,        1,      3,      0xdf37	 }, 
{ 0x2094010c,      2,     12,      1,        0,      1,        1,      4,      0xdf37	 }, 
{ 0x2090010c,      2,     12,      0,        0,      1,        1,      4,      0xdf37	 }, 
{ 0x2094014c,      2,     12,      1,        0,      1,        1,      5,      0xdf37	 }, 
{ 0x2090014c,      2,     12,      0,        0,      1,        1,      5,      0xdf37	 } 

#endif
};

